Author: heiko.braun(a)jboss.com
Date: 2007-01-22 10:47:57 -0500 (Mon, 22 Jan 2007)
New Revision: 2022
Added:
trunk/build/etc/hudson/jboss-init.sh
Log:
generic start script
Added: trunk/build/etc/hudson/jboss-init.sh
===================================================================
--- trunk/build/etc/hudson/jboss-init.sh (rev 0)
+++ trunk/build/etc/hudson/jboss-init.sh 2007-01-22 15:47:57 UTC (rev 2022)
@@ -0,0 +1,29 @@
+#!/bin/sh
+
+if [ -z "$1" ]
+then
+ echo "Please specify a jboss instance to be started"; exit 1;
+fi
+
+#define where jboss is - this is the directory containing directories log, bin, conf etc
+JBOSS_INSTANCE=$1
+
+echo "Using jboss instance $JBOSS_INSTANCE"
+
+case "$2" in
+start)
+ cd $JBOSS_INSTANCE/bin
+ ./run.sh > /dev/null &
+ ;;
+stop)
+ cd $JBOSS_INSTANCE/bin
+ ./shutdown.sh -S > /dev/null &
+ ;;
+restart)
+ $0 stop
+ $0 start
+ ;;
+*)
+ echo "usage: $0 (start|stop|restart|help)"
+esac
+
Property changes on: trunk/build/etc/hudson/jboss-init.sh
___________________________________________________________________
Name: svn:executable
+ *
Show replies by date